Name:		bm
Version:	3.4
Release:	%mkrel 1
Summary:	BuildManager - rpm package building helper
Group:		Development/Other
License:	GPLv2
URL:		https://gitweb.mageia.org/software/build-system/bm/
Source0:	https://gitweb.mageia.org/software/build-system/bm/snapshot/%{name}-%{version}.tar.xz
Patch0:		bash-completion-location.patch
BuildArch:	noarch
BuildRequires:	rpm-build
BuildRequires:	python3
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)

Requires:	python3 >= %{python3_version}
Requires:	rpm-build

%description
BuildManager, or bm, is a program that wraps and extends RPM while building
packages. Its features allow one to batch process thousand of RPMs at once,
controlling logs, RPM and SRPM moving, filtering the list of files, ignoring
given packages, completely cleaning the build directories, and many other
features.

%prep
%setup -q
%autopatch -p1

%build
%py3_build

%install
%py3_install

%files
%license LICENSE
%{_bindir}/%{name}*
%{python3_sitelib}/BuildManager/
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info
%{_datadir}/bash-completion/completions/%{name}
%{_mandir}/man8/%{name}.8.*


%changelog
* Tue Jul 25 2023 wally <wally> 3.4-1.mga9
+ Revision: 1964230
- new version 3.4
  - pass --noclean to rpm (mga#32138)

* Mon Jan 16 2023 pterjan <pterjan> 3.3-1.mga9
+ Revision: 1933848
- Update to 3.3, adds support for -r

* Mon Mar 28 2022 umeabot <umeabot> 3.2-11.mga9
+ Revision: 1829705
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 3.2-10.mga9
+ Revision: 1772009
- rebuild for python3.10

* Sun Mar 14 2021 wally <wally> 3.2-9.mga9
+ Revision: 1702793
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 3.2-8.mga8
+ Revision: 1530598
- Mageia 8 Mass Rebuild

* Wed Sep 04 2019 wally <wally> 3.2-7.mga8
+ Revision: 1437116
- rebuild for python3.8

* Sat Jan 05 2019 wally <wally> 3.2-6.mga7
+ Revision: 1349441
- rebuild for python3.7

* Thu Oct 04 2018 umeabot <umeabot> 3.2-5.mga7
+ Revision: 1317581
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild
+ josh <josh>
- Consolidate location for bash-completion scripts

* Fri Aug 04 2017 tv <tv> 3.2-2.mga7
+ Revision: 1134587
- rebuild for new python

* Wed Dec 23 2015 daviddavid <daviddavid> 3.2-1.mga7
+ Revision: 913787
- new version: 3.2
- remove merged patch

* Wed Oct 07 2015 joequant <joequant> 3.1-4.mga6
+ Revision: 886671
- really upgrade to 3.5

* Thu Oct 01 2015 daviddavid <daviddavid> 3.1-3.mga6
+ Revision: 885511
- add patch0 to fix an UTF-8 issue if present in a spec file

* Sun Sep 27 2015 joequant <joequant> 3.1-2.mga6
+ Revision: 884146
- upgrade to python 3.5

* Tue Sep 22 2015 daviddavid <daviddavid> 3.1-1.mga6
+ Revision: 882196
- new version: 3.1
  * Add a manpage for bm help (thanks to Johnny A. Solbu)
  * Merge bash-completion file directly into bm source
  * Installion of bash-completion and man files directly into the setup.py
  * Merge bm-fix-crash-on-invalid-chars.patch (thanks to Shlomi Fish)

* Wed Sep 16 2015 shlomif <shlomif> 3.0-2.mga6
+ Revision: 879884
- Add patch for fixing crash with invalid chars.

* Thu Sep 10 2015 daviddavid <daviddavid> 3.0-1.mga6
+ Revision: 875690
- new version: 3.0 (switch code to python3, thanks to papoteur)
  * Manual adaptation for python3
  * Adaptation to python3 using 2to3-3.4
- update URL and Source URL
- remove merged patches
- update BuildRequires and Requires for python3
- use new python macros
- introduce license macro

* Fri Dec 19 2014 shlomif <shlomif> 2.1-235.mga5
+ Revision: 804279
- Cancel the trailing .log suffix patch

* Fri Dec 19 2014 alexl <alexl> 2.1-234.mga5
+ Revision: 804254
- used format name.log for logs (mga#14846)

* Wed Oct 15 2014 umeabot <umeabot> 2.1-233.mga5
+ Revision: 750183
- Second Mageia 5 Mass Rebuild

* Wed Oct 08 2014 luigiwalser <luigiwalser> 2.1-232.mga5
+ Revision: 737452
- fix error when using --move-log option (mga#14180)

* Sat Sep 27 2014 tv <tv> 2.1-231.mga5
+ Revision: 725983
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.1-230.mga5
+ Revision: 678188
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 2.1-229.mga5
+ Revision: 628117
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.1-228.mga4
+ Revision: 542502
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 2.1-227.mga4
+ Revision: 497660
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 14 2013 marja <marja> 2.1-226.mga4
+ Revision: 496685
- further cleaned spec (thx philippem :-))
- removed Brazilian non-UTF8 description
- list files more explicitly

* Fri Jan 11 2013 umeabot <umeabot> 2.1-225.mga3
+ Revision: 346932
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 21 2012 pterjan <pterjan> 2.1-224.mga3
+ Revision: 319923
- Fix License tag

* Mon Jan 17 2011 blino <blino> 2.1-223.mga1
+ Revision: 20942
- update comment
- imported package bm


* Fri Oct 29 2010 Michael Scherer <misc@mandriva.org> 2.1-223mdv2011.0
+ Revision: 590153
- rebuild for python 2.7

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 2.1-222mdv2010.1
+ Revision: 522239
- rebuilt for 2010.1

* Wed Jun 10 2009 Bogdano Arendartchuk <bogdano@mandriva.com> 2.1-221mdv2010.0
+ Revision: 384983
- added patch to define the exceptions used when the specfile is not found,
  to not show the ugly traceback (pointed by pzanoni)

  + Michael Scherer <misc@mandriva.org>
    - add the url of the svn, this is the only know page ( maybe if someone write something on the wiki ), close bug 37042

* Fri Jan 16 2009 Bogdano Arendartchuk <bogdano@mandriva.com> 2.1-220mdv2009.1
+ Revision: 330266
- added patch to use the subprocess module instead of popen2 (deprecated in
  python-2.6)

* Wed Dec 24 2008 Funda Wang <fwang@mandriva.org> 2.1-219mdv2009.1
+ Revision: 318363
- rebuild for new python

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 2.1-218mdv2009.0
+ Revision: 220488
- rebuild

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 2.1-217mdv2008.1
+ Revision: 149012
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Bogdano Arendartchuk <bogdano@mandriva.com>
    - added patch to make --move-srpm move only .src.rpm files inside SRPMS/

* Wed Aug 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.1-215mdv2008.0
+ Revision: 74578
- bash completion support


* Wed Dec 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.1-214mdv2007.0
+ Revision: 96492
- Rebuild against new python

* Tue Nov 28 2006 Andreas Hasenack <andreas@mandriva.com> 2.1-213mdv2007.1
+ Revision: 87832
- rebuild with python 2.5
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway
- uncompressed patch file and marked .src.rpm to use bzip2 compression for its payload

  + Götz Waschk <waschk@mandriva.org>
    - rebuild for new python

  + Michael Scherer <misc@mandriva.org>
    - remove duplicated macros
    - clean BuildRoot in %%install
    - this package is not arch dependent, so tag it as noarch
    - use mkrel
    - fix build on x86_64

  + Helio Chissini de Castro <helio@mandriva.com>
    - Removed Buildarch noarch
    - Missing macro %%pyver
    - Fixed lib64 build for x86_64
    - Fixed python macros
    - Created dir structure

* Thu Mar 17 2005 Helio Chissini de Castro <helio@mandrakesoft.com> 2.1-2mdk
- Ordering requires to avoid future mess on next releasesof RPM with PreReq

* Thu Mar 17 2005 Helio Chissini de Castro <helio@mandrakesoft.com> 2.1-1mdk
- First BuildManager release on Mandrake Contrib

